Add Asset to Wallet
curl --request POST \
--url https://api.blockradar.co/v1/wallets/{walletId}/assets \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"assetId": "ASSET_ID"
}
'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/assets"
payload = { "assetId": "ASSET_ID" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({assetId: 'ASSET_ID'})
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"asset": {
"address": "0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238",
"createdAt": "2024-05-14T14:53:33.682Z",
"decimals": 6,
"id": "fe04a28c-c615-4e41-8eda-f84c862864f5",
"isActive": true,
"name": "USDC Coin",
"network": "testnet",
"symbol": "USDC",
"updatedAt": "2024-05-27T12:24:11.951Z"
},
"createdAt": "2024-05-26T08:11:43.129Z",
"id": "c4c26507-207b-4070-b968-31171881c227",
"isActive": true,
"updatedAt": "2024-06-06T09:37:55.873Z"
},
"message": "Asset added successfully",
"statusCode": 200
}Add Asset to Wallet
This endpoint allows you to add assets to a specific wallet
Body Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| assetId | true | string | The asset id you want this wallet to support. |
POST
/
v1
/
wallets
/
{walletId}
/
assets
Add Asset to Wallet
⌘I

